Package org.apache.sling.models.annotations.apt

# Class ValidatingAnnotationProcessor

java.lang.Object
javax.annotation.processing.AbstractProcessor
org.apache.sling.models.annotations.apt.ValidatingAnnotationProcessor

All Implemented Interfaces:
  `Processor`

@SupportedAnnotationTypes({"javax.inject.Inject","org.apache.sling.models.annotations.injectorspecific.*"}) public class ValidatingAnnotationProcessor extends AbstractProcessor
Annotation processor that implements compile-time validation for Sling Models

## Field Summary

### Fields inherited from class javax.annotation.processing.AbstractProcessor

`processingEnv`

## Constructor Summary

Constructors
Constructor
Description
`ValidatingAnnotationProcessor()`

## Method Summary

Modifier and Type
Method
Description
`SourceVersion`
`getSupportedSourceVersion()`
`boolean`
`process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`

### Methods inherited from class javax.annotation.processing.AbstractProcessor

`getCompletions, getSupportedAnnotationTypes, getSupportedOptions, init, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidatingAnnotationProcessor

public ValidatingAnnotationProcessor()

## Method Details

### process

public boolean process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)

Specified by:
  `process` in interface `Processor`
Specified by:
  `process` in class `AbstractProcessor`

### getSupportedSourceVersion

public SourceVersion getSupportedSourceVersion()

Specified by:
  `getSupportedSourceVersion` in interface `Processor`
Overrides:
  `getSupportedSourceVersion` in class `AbstractProcessor`